Tabulky
Seznam sloupců
Načtení definic sloupců pro tabulku.
GET
/
tables
/
{table_id}
/
columns
Get table column definitions
curl --request GET \
--url https://app.productlasso.com/api/v1/tables/{table_id}/columns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.productlasso.com/api/v1/tables/{table_id}/columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.productlasso.com/api/v1/tables/{table_id}/columns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"attribute_id": "11111111-1111-4111-8111-111111111111",
"kind": "attribute",
"key": "product_name",
"label": "Product name",
"type": "text",
"language": "en"
}
]
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}⌘I
Get table column definitions
curl --request GET \
--url https://app.productlasso.com/api/v1/tables/{table_id}/columns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.productlasso.com/api/v1/tables/{table_id}/columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.productlasso.com/api/v1/tables/{table_id}/columns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"attribute_id": "11111111-1111-4111-8111-111111111111",
"kind": "attribute",
"key": "product_name",
"label": "Product name",
"type": "text",
"language": "en"
}
]
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}
